<!doctype html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/open-iconic/1.1.1/font/css/open-iconic-bootstrap.min.css" >
    <link rel="stylesheet" type="text/css" th:href="@{css/styleHome.css}">

    <title>Marfra - Form Manager</title>
</head>
<body>
    <nav class="navbar navbar-dark sticky-top bg-dark flex-md-nowrap p-0">
        <a class="navbar-brand col-sm-4 col-md-2 mr-0" href="#">My Site</a>
        <form action="search.php" method="POST" class="w-100">
            <input class="form-control form-control-dark" type="text" placeholder="Search">
        </form>
        <ul class="navbar-nav px-3">
            <li class="nav-item text-nowrap">
                <a class="nav-link" href="#">Log out</a>
            </li>
        </ul>
    </nav>
    <div class="container-fluid">
        <div class="row navbar-expand-md">
            <nav class="col-md-3 col-lg-2 bg-light navbar-collapse collapse sidebar" id="sidenav">
                <div class="sidebar-sticky flex-column w-100 mt-1">
                    <ul id="dashboardLinks" class="nav flex-column">
                        <li class="nav-item">
                            <a class="nav-link active" href="home">
                                <span data-feather="home"></span> Dashboard
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="fileForm">
                                <span data-feather="file"></span> Archivos
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="config">
                                <span data-feather="shopping-cart"></span> Configuración
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="cuilList">
                                <span data-feather="users"></span> Lista de CUILs
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="employeesTable">
                                <span data-feather="bar-chart-2"></span> Tabla de Empleados
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#">
                                <span data-feather="layers"></span> Integrations
                            </a>
                        </li>
                    </ul>

                    <h6 class="sidebar-heading d-flex justify-content-between align-items-center px-3 mt-4 mb-1 text-muted">
                        <span>Saved reports</span>
                        <a class="d-flex align-items-center text-muted" href="#">
                            <span data-feather="plus-circle"></span>
                        </a>
                    </h6>
                    <ul class="nav flex-column mb-2">
                        <li class="nav-item">
                            <a class="nav-link" href="#">
                                <span data-feather="file-text"></span> Current month
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#">
                                <span data-feather="file-text"></span> Last quarter
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#">
                                <span data-feather="file-text"></span> Social engagement
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#">
                                <span data-feather="file-text"></span> Year-end sale
                            </a>
                        </li>
                    </ul>
                </div>
            </nav>

            <main id="mainContent" role="main" class="col-md-9 ml-sm-auto col-lg-10 pt-3 px-4">

                <div id="home">
                    <h1 class="h2">Dashboard</h1>
                    <div class="table-responsive">
                        <table class="table table-striped table-sm">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>Header</th>
                                <th>Header</th>
                                <th>Header</th>
                                <th>Header</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td>1,001</td>
                                <td>Lorem</td>
                                <td>ipsum</td>
                                <td>dolor</td>
                                <td>sit</td>
                            </tr>
                            <tr>
                                <td>1,002</td>
                                <td>amet</td>
                                <td>consectetur</td>
                                <td>adipiscing</td>
                                <td>elit</td>
                            </tr>
                            <tr>
                                <td>1,003</td>
                                <td>Integer</td>
                                <td>nec</td>
                                <td>odio</td>
                                <td>Praesent</td>
                            </tr>
                            <tr>
                                <td>1,003</td>
                                <td>libero</td>
                                <td>Sed</td>
                                <td>cursus</td>
                                <td>ante</td>
                            </tr>
                            <tr>
                                <td>1,004</td>
                                <td>dapibus</td>
                                <td>diam</td>
                                <td>Sed</td>
                                <td>nisi</td>
                            </tr>
                            <tr>
                                <td>1,005</td>
                                <td>Nulla</td>
                                <td>quis</td>
                                <td>sem</td>
                                <td>at</td>
                            </tr>
                            <tr>
                                <td>1,006</td>
                                <td>nibh</td>
                                <td>elementum</td>
                                <td>imperdiet</td>
                                <td>Duis</td>
                            </tr>
                            <tr>
                                <td>1,007</td>
                                <td>sagittis</td>
                                <td>ipsum</td>
                                <td>Praesent</td>
                                <td>mauris</td>
                            </tr>
                            <tr>
                                <td>1,008</td>
                                <td>Fusce</td>
                                <td>nec</td>
                                <td>tellus</td>
                                <td>sed</td>
                            </tr>
                            <tr>
                                <td>1,009</td>
                                <td>augue</td>
                                <td>semper</td>
                                <td>porta</td>
                                <td>Mauris</td>
                            </tr>
                            <tr>
                                <td>1,010</td>
                                <td>massa</td>
                                <td>Vestibulum</td>
                                <td>lacinia</td>
                                <td>arcu</td>
                            </tr>
                            <tr>
                                <td>1,011</td>
                                <td>eget</td>
                                <td>nulla</td>
                                <td>Class</td>
                                <td>aptent</td>
                            </tr>
                            <tr>
                                <td>1,012</td>
                                <td>taciti</td>
                                <td>sociosqu</td>
                                <td>ad</td>
                                <td>litora</td>
                            </tr>
                            <tr>
                                <td>1,013</td>
                                <td>torquent</td>
                                <td>per</td>
                                <td>conubia</td>
                                <td>nostra</td>
                            </tr>
                            <tr>
                                <td>1,014</td>
                                <td>per</td>
                                <td>inceptos</td>
                                <td>himenaeos</td>
                                <td>Curabitur</td>
                            </tr>
                            <tr>
                                <td>1,015</td>
                                <td>sodales</td>
                                <td>ligula</td>
                                <td>in</td>
                                <td>libero</td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>

                <form method="post" enctype="multipart/form-data" id="fileForm">
                    <div class="form-group col-6">
                        <div class="custom-file">
                            <input type="file" class="custom-file-input" id="customFile1">
                            <label class="custom-file-label" for="customFile1">Mensual</label>
                        </div>
                        <div class="custom-file">
                            <input type="file" class="custom-file-input" id="customFile2">
                            <label class="custom-file-label" for="customFile2">1er Quincena</label>
                        </div>
                        <div class="custom-file">
                            <input type="file" class="custom-file-input" id="customFile3">
                            <label class="custom-file-label" for="customFile3">2da Quincena</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="" id="sacCheckbox">
                            <label class="form-check-label" for="sacCheckbox">
                                Aguinaldo
                            </label>
                        </div>
                        <div class="custom-file">
                            <input type="file" class="custom-file-input" id="customFile4">
                            <label class="custom-file-label" for="customFile4">SAC Mensual</label>
                        </div>
                        <div class="custom-file">
                            <input type="file" class="custom-file-input" id="customFile5">
                            <label class="custom-file-label" for="customFile5">SAC Quincena</label>
                        </div>
                        <button type="submit" class="btn btn-primary" id="fileSubmit">Siguiente</button>
                    </div>
                </form>

                <div class="form-group" id="config">
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text" id="monthlyConfig">Mensual</span>
                        </div>
                        <input type="text" class="form-control" placeholder="Configuración Mensual">
                    </div>
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text" id="fortnightConfig">Quincenal</span>
                        </div>
                        <input type="text" class="form-control" placeholder="Configuración Quincenal">
                    </div>
                    <button type="submit" class="btn btn-primary" id="configSubmit">Siguiente</button>
                </div>

                <div id="cuilList" class="col-6">
                    <label for="cuilArea">CUILs</label>
                    <textarea class="form-control form-control-sm" rows="10" id="cuilArea"></textarea>
                    <button type="submit" class="btn btn-primary" id="cuilListSubmit">Siguiente</button>
                </div>

                <div id="employeesTable" class="table-responsive">
                    <table class="table table-hover">
                        <thead>
                        <tr>
                            <th scope="col">
                                <div class="btn-group">
                                    <button class="btn btn-outline-success btn-sm" type="button" id="loadAll">
                                        <span class="oi oi-loop-circular"></span>
                                    </button>
                                    <button class="btn btn-outline-dark btn-sm" type="button" id="download">
                                        <span class="oi oi-data-transfer-download"></span>
                                    </button>
                                </div>
                            </th>
                            <th scope="col">CUIL</th>
                            <th scope="col" style="min-width: 300px;">Apellido y Nombre</th>
                            <th scope="col">Cónyuge</th>
                            <th scope="col">Cantidad de hijos</th>
                            <th scope="col">Código de situación</th>
                            <th scope="col">Código de condición</th>
                            <th scope="col">Código de actividad</th>
                            <th scope="col">Código de zona</th>
                            <th scope="col">Porcentaje de aporte adicional SS</th>
                            <th scope="col">Código de modalidad de contratación</th>
                            <th scope="col">Código de obra social</th>
                            <th scope="col">Cantidad de adherentes</th>
                            <th scope="col">Remuneración total</th>
                            <th scope="col">Remuneración imponible 1</th>
                            <th scope="col">Asignaciones familiares pagadas</th>
                            <th scope="col">Importe aporte voluntario</th>
                            <th scope="col">Importe adicional OS</th>
                            <th scope="col">Importe excedente aportes SS</th>
                            <th scope="col">Importe excedente aportes OS</th>
                            <th scope="col">Provincia localidad</th>
                            <th scope="col">Remuneración imponible 2</th>
                            <th scope="col">Remuneración imponible 3</th>
                            <th scope="col">Remuneración imponible 4</th>
                            <th scope="col">Código de siniestrado</th>
                            <th scope="col">Marca de corresponde reducción</th>
                            <th scope="col">Capital de recomposición de LRT</th>
                            <th scope="col">Tipo de empresa</th>
                            <th scope="col">Aporte adicional de obra social</th>
                            <th scope="col">Régimen</th>
                            <th scope="col">Situación de revista 1</th>
                            <th scope="col">Día de inicio situación de revista 1</th>
                            <th scope="col">Situación de revista 2</th>
                            <th scope="col">Día de inicio situación de revista 2</th>
                            <th scope="col">Situación de revista 3</th>
                            <th scope="col">Día de inicio situación de revista 3</th>
                            <th scope="col">Sueldo + adicionales</th>
                            <th scope="col" style="min-width: 100px;">SAC</th>
                            <th scope="col">Horas extras</th>
                            <th scope="col">Zona desfavorable</th>
                            <th scope="col">Vacaciones</th>
                            <th scope="col">Cantidad de días trabajados</th>
                            <th scope="col">Remuneración imponible 5</th>
                            <th scope="col">Trabajador convencionado (0-No 1-Si)</th>
                            <th scope="col">Remuneración imponible 6</th>
                            <th scope="col">Tipo de operación</th>
                            <th scope="col">Adicionales</th>
                            <th scope="col">Premios</th>
                            <th scope="col">Rem. Dto. 788/05 / Remuneración 8</th>
                            <th scope="col">Remuneración imponible 7</th>
                            <th scope="col">Cantidad de horas extras</th>
                            <th scope="col">Conceptos No remunerativos</th>
                            <th scope="col">Maternidad</th>
                            <th scope="col">Rectificación de Remuneración</th>
                            <th scope="col">Remuneración Imponible 9</th>
                            <th scope="col">Contribución Tarea Diferencial %</th>
                            <th scope="col">Horas Trabajadas</th>
                            <th scope="col">Seguro Colectivo de Vida Obligatorio</th>
                            <th scope="col">Importe detracción Ley 27430</th>
                            <th scope="col">Incremento salarial</th>
                            <th scope="col">Remuneración Imponible 11</th>
                        </tr>
                        </thead>
                        <tbody id="tableBody"></tbody>
                    </table>
                </div>

            </main>
        </div>
    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.5.1.min.js" integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bs-custom-file-input/dist/bs-custom-file-input.min.js"></script>
    <script th:src="@{/js/scriptHome.js}"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/file-saver@2.0.2/dist/FileSaver.min.js"></script>
</body>
</html>